/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.CancelacionCargoDAO;
import com.rjconsultores.ventaboletos.entidad.CancelacionCargo;
import com.rjconsultores.ventaboletos.service.CancelacionCargoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @author Rafius
 */
@Service("cancelacionCargoService")
public class CancelacionCargoServiceImpl implements CancelacionCargoService {

    @Autowired
    private CancelacionCargoDAO cancelacionCargoDAO;

    public List<CancelacionCargo> obtenerTodos() {
        return cancelacionCargoDAO.obtenerTodos();
    }

    public CancelacionCargo obtenerID(Integer id) {
        return cancelacionCargoDAO.obtenerID(id);
    }

    public CancelacionCargo suscribir(CancelacionCargo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return cancelacionCargoDAO.suscribir(entidad);
    }

    public CancelacionCargo actualizacion(CancelacionCargo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return cancelacionCargoDAO.actualizacion(entidad);
    }

    public void borrar(CancelacionCargo entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        cancelacionCargoDAO.actualizacion(entidad);
    }
}
